Bug 221295 - Inspect and Transform report complete when still working
Inspect and Transform report complete when still working
Status: RESOLVED FIXED
Product: editor
Classification: Unclassified
Component: Refactoring
7.3
PC Windows 7
: P3 (vote)
: 7.3
Assigned To: Ralph Ruijs
issues@editor
: API, API_REVIEW_FAST
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-01 21:23 UTC by javydreamercsw
Modified: 2012-11-30 02:44 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
Proposed API change (11.46 KB, patch)
2012-11-19 09:39 UTC, Ralph Ruijs
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description javydreamercsw 2012-11-01 21:23:46 UTC
[ BUILD # : 201011010001 ]
[ JDK VERSION : 1.7.9 ]

I've seen this on find and replace as well.

I have a project which either find and replace or inspect and transform have
multiple hits (i.e. 3000+). Upon selecting to implement the changes the IDE
progress reports 100% completion immediately while is obvious it is working on
the background.
Comment 1 Jan Lahoda 2012-11-16 09:56:54 UTC
I am not quite sure if I understood the report properly, but seems to me that it relates to the progress bar shown after pressing "Do Refactoring". This progress bar appears in "Refactoring..." dialog.

Sorry Ralph, but I put a breakpoint into RefactoringSession.doRefactoring at the beginning of the first finally section. And I see that the progress bar already is at 100% at that point, while a lot of (almost all) of the work is still to be done (note that the RefactoringElementImplementation.performChange is often noop):
-committing of the RefactoringCommits
-saving files
-performing file changes

So I think this will need to be fixed in the RefactoringSession.
Comment 2 javydreamercsw 2012-11-16 14:30:41 UTC
(In reply to comment #1)
> I am not quite sure if I understood the report properly, but seems to me that
> it relates to the progress bar shown after pressing "Do Refactoring". This
> progress bar appears in "Refactoring..." dialog.
Yes, that's exactly what I meant.
> 
> Sorry Ralph, but I put a breakpoint into RefactoringSession.doRefactoring at
> the beginning of the first finally section. And I see that the progress bar
> already is at 100% at that point, while a lot of (almost all) of the work is
> still to be done (note that the RefactoringElementImplementation.performChange
> is often noop):
> -committing of the RefactoringCommits
> -saving files
> -performing file changes
> 
> So I think this will need to be fixed in the RefactoringSession.
Comment 3 Ralph Ruijs 2012-11-19 09:39:46 UTC
Created attachment 128039 [details]
Proposed API change

This patch changes RefactoringCommit to implement the ProgressProvider interface.
Comment 4 Ralph Ruijs 2012-11-19 09:41:36 UTC
Please review.
Comment 5 Ralph Ruijs 2012-11-28 13:03:26 UTC
Changeset: 61c15968923c
Author:    Ralph Benjamin Ruijs <ralphbenjamin@netbeans.org>
Date:      2012-11-28 13:54
Comment 6 Quality Engineering 2012-11-30 02:44:03 UTC
Integrated into 'main-golden', will be available in build *201211300001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/61c15968923c
User: Ralph Benjamin Ruijs <ralphbenjamin@netbeans.org>
Log: Issue #221295 - Inspect and Transform report complete when still working


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo